config/routes.rb
Rails.application.routes.draw do
  devise_for :users
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
  resources :people
  resources :processes do
    resources :phases, only: [:new, :create]
  end

  root to: 'home#index'
end

app/controllers/phases_controller.rb
class PhasesController < ApplicationController
  before_action :set_process

  def new
    @phase = @process.phases.build
  end

  def create
    @phase = Phase.new phase_params
    @phase.process = @process
    @phase.save

    respond_with @phase, location: -> { process_path(@process) }
  end

  private

  def set_process
    @process = McomProcess.find params[:process_id]
  end

  def phase_params
    params.require(:phase).permit(:description, :phase_date, :resume)
  end
end

app/views/phases/new.html.haml
.page-header
  .row
    .col-xs-8
      %h3= fa_icon Phase.icon, text: 'Adicionar nova fase ao processo'
    .col-xs-4.h3.text-right
      = button_with_icon 'arrow-left', 'Cancelar',  process_path(@process)

.row
  .col-sm-5
    %dl.dl-horizontal
      = show_attr_info @process, :description
      = show_attr_info @process, :start_date, format: :long
  .col-sm-7
    %dl.dl-horizontal
      = show_attr_info @process, :author
      = show_attr_info @process, :defendant

%hr

= form_for @phase, url: process_phases_path(@process, @phase) do |f|
  .row
    .col-xs-12
      = simple_text f, :description
      = simple_date f, :phase_date
      = simple_area f, :resume, rows: 12
    .col-xs-12.text-right
      %hr
      = simple_submit f, :save, icon: :check